Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:       nodejs-cryptiles
Version:    2.0.5
Release:    alt1_8
Summary:    General purpose cryptography utilities for Node.js
License:    BSD

URL:        https://github.com/hueniverse/cryptiles
Source0:    https://registry.npmjs.org/cryptiles/-/cryptiles-%{version}.tgz

BuildArch:  noarch

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n package
# fixdep does not work on nodejs engine
sed -i 's/"node": ">=0.10.40"/"node": ">=0.10.36"/' package.json

#fix perms
chmod 0644 README.md LICENSE lib/* package.json

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/cryptiles
cp -pr lib package.json %{buildroot}%{nodejs_sitelib}/cryptiles

%nodejs_symlink_deps

#Yet Another Unpackaged Test Framework (lab)
#%%check
#make test

%files
%{nodejs_sitelib}/cryptiles
%doc README.md
%doc --no-dereference LICENSE

%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.5-alt1_8
- fc update

* Thu Aug 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_1
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.1-alt1_1
- initial import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_1
- initial import

